Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » EGL Development Tools » Is the mobile widget set compatible with the standard set of Dojo widgets?
Is the mobile widget set compatible with the standard set of Dojo widgets? [message #1010553] Sun, 17 February 2013 12:29 Go to next message
Richard Moulton is currently offline Richard Moulton
Messages: 92
Registered: August 2011
Location: Devon, UK
Member
I created a new Mobile Web client application project (using EDT 0.8.2). I then created a simple RUI handler using some of the mobile widgets. I then wanted to include some of the standard Dojo widgets within the project so added the org.eclipse.edt.rui.dojo.remote_0.8.2 project to the EGL build path.

I can successfully view the mobile RUI handler within the design and preview tabs from the IDE. However, when I deploy the application to Tomcat 6 and point my browser at the deployed web page the page is blank, nothing is shown.

If I remove org.eclipse.edt.rui.dojo.remote_0.8.2 project from the EGL build path and then redeploy I can see the web page.

Is the set of base Dojo widgets compatible with the mobile widgets? Should this work?

My plan was to have one project containing a standard web application RUI handler and equivalent mobile application RUI handler.

Richard
Re: Is the mobile widget set compatible with the standard set of Dojo widgets? [message #1011731 is a reply to message #1010553] Wed, 20 February 2013 01:45 Go to previous messageGo to next message
Smyle H is currently offline Smyle H
Messages: 58
Registered: September 2012
Member
Hi Richard,

As far as I know, EGL dojo widgets is not compatible with mobile widgets, while RUI widgets can work with mobile widget.

Regards,

Smyle
Re: Is the mobile widget set compatible with the standard set of Dojo widgets? [message #1017282 is a reply to message #1011731] Mon, 11 March 2013 09:33 Go to previous message
Richard Moulton is currently offline Richard Moulton
Messages: 92
Registered: August 2011
Location: Devon, UK
Member
Smyle,

You're right, they aren't compatible as confirmed on the "Setting Up For Mobile" page.

http://wiki.eclipse.org/EDT:SettingUpForMobile

Richard
Previous Topic:What's next???
Next Topic:Can you create a GridLayout widget dynamically?
Goto Forum:
  


Current Time: Fri Aug 29 01:47:23 EDT 2014

Powered by FUDForum. Page generated in 0.07654 seconds